Bug 195679 - [MAINTAINER] sysutils/lsof update to 4.89A
Summary: [MAINTAINER] sysutils/lsof update to 4.89A
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-04 17:37 UTC by Larry Rosenman
Modified: 2014-12-17 18:34 UTC (History)
1 user (show)

See Also:


Attachments
update to 4.89A (1.08 KB, patch)
2014-12-17 17:26 UTC, Larry Rosenman
ler: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Rosenman freebsd_committer 2014-12-04 17:37:48 UTC
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     ler@lerctr.org
Last committer: bdrewery@FreeBSD.org
Ident:          $FreeBSD: head/sysutils/lsof/Makefile 371020 2014-10-16 19:48:45Z bdrewery $
Log URL:        http://beefy1.isc.freebsd.org/data/head-i386-default/2014-12-04_17h10m33s/logs/lsof-4.88,8.log
Build URL:      http://beefy1.isc.freebsd.org/build.html?mastername=head-i386-default&build=2014-12-04_17h10m33s
Log:

====>> Building sysutils/lsof
build started at Thu Dec  4 17:25:55 UTC 2014
port directory: /usr/ports/sysutils/lsof
building for: FreeBSD head-i386-default-job-23 11.0-CURRENT FreeBSD 11.0-CURRENT r275434 i386
maintained by: ler@lerctr.org
Makefile ident:      $FreeBSD: head/sysutils/lsof/Makefile 371020 2014-10-16 19:48:45Z bdrewery $
Poudriere version: 3.1-pre
Host OSVERSION: 1100047
Jail OSVERSION: 1100048


I'm in contact with Vic Abell (Author) and will post an update once I have a fix.
Comment 1 Larry Rosenman freebsd_committer 2014-12-04 19:21:57 UTC
acking this report as well:
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     ler@lerctr.org
Last committer: bdrewery@FreeBSD.org
Ident:          $FreeBSD: head/sysutils/lsof/Makefile 371020 2014-10-16 19:48:45Z bdrewery $
Log URL:        http://beefy2.isc.freebsd.org/data/head-amd64-default/2014-12-04_19h02m00s/logs/lsof-4.88,8.log
Build URL:      http://beefy2.isc.freebsd.org/build.html?mastername=head-amd64-default&build=2014-12-04_19h02m00s
Log:

====>> Building sysutils/lsof
build started at Thu Dec  4 19:20:02 UTC 2014
port directory: /usr/ports/sysutils/lsof
building for: FreeBSD head-amd64-default-job-13 11.0-CURRENT FreeBSD 11.0-CURRENT r275434 amd64
maintained by: ler@lerctr.org
Makefile ident:      $FreeBSD: head/sysutils/lsof/Makefile 371020 2014-10-16 19:48:45Z bdrewery $
Poudriere version: 3.1-pre
Host OSVERSION: 1100047
Jail OSVERSION: 1100048
Comment 2 Larry Rosenman freebsd_committer 2014-12-04 20:11:20 UTC
Larry,

I am in Florida at a ham radio club meeting.  I won't be home
until December 9 and will work on this after that.

Vic
Comment 3 Larry Rosenman freebsd_committer 2014-12-11 19:27:30 UTC
Update from Vic (basically, it's in the queue):
Larry,

I just spent 8 days in Florida at a conference I organized.
Consequently I have many, many follow-up tasks to complete.
I probably won't have time to work on lsof for some time,
perhaps not until next week.

Tell people I will work on it as soon as I can.

Vic
Comment 4 Larry Rosenman freebsd_committer 2014-12-17 00:33:49 UTC
see also https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=196029
Comment 5 Larry Rosenman freebsd_committer 2014-12-17 17:26:07 UTC
Created attachment 150685 [details]
update to 4.89A

Patch to fix the issue, and update to 4.89A
Comment 6 Larry Rosenman freebsd_committer 2014-12-17 17:26:48 UTC
Can a committer please commit the attached patch?

Thanks!
Comment 7 Bryan Drewery freebsd_committer 2014-12-17 18:30:11 UTC
I'll handle it
Comment 8 Bryan Drewery freebsd_committer 2014-12-17 18:33:49 UTC
Committed, thanks!
Comment 9 commit-hook freebsd_committer 2014-12-17 18:34:13 UTC
A commit references this bug:

Author: bdrewery
Date: Wed Dec 17 18:33:28 UTC 2014
New revision: 374867
URL: https://svnweb.freebsd.org/changeset/ports/374867

Log:
  - Update to 4.89A, which should fix head builds.

  PR:		ports/195679
  Submitted by:	Larry Rosenman <ler@lerctr.org> (maintainer)

Changes:
  head/sysutils/lsof/Makefile
  head/sysutils/lsof/distinfo